
Smart Proxy - Feature #23211

PuppetCA: Token Based Autosigning

04/11/2018 07:30 AM - Julian Todt

Status: Closed   

Priority: Normal   

Assignee: Julian Todt   

Category: PuppetCA   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/592,

https://github.com/theforeman/smart-pro

xy/pull/607

  

Description

For idea and discussion, see https://community.theforeman.org/t/puppetca-orchestration-the-future-of-autosigning/8712 and 

https://github.com/theforeman/rfcs/pull/7/files

Todo:

- Remove previous autosigning functionality (mainly /puppet/ca/autosign endpoints)

- Add new api endpoint that takes the CSR, extracts our previously placed tokens and sends it to foreman

- Add puppet autosigning script that calls the SmartProxy to foreman or foreman-proxy puppet modules

- Update PuppetCA-SmartProxy documentation

Related issues:

Related to Foreman - Feature #23210: PuppetCA: Token Based Autosigning Closed

Related to Installer - Feature #23477: PuppetCA: Token Based Autosigning New

Associated revisions

Revision 124af3d4 - 08/27/2018 10:44 AM - Julian Todt

Fixes #23211 - Add PuppetCa TokenWhitelisting provider

Revision 74ae90e0 - 09/21/2018 07:41 AM - Timo Goebel

refs #23211 - make PuppetCA token provider more resilient

History

#1 - 04/11/2018 07:31 AM - Julian Todt

- Related to Feature #23210: PuppetCA: Token Based Autosigning added

#2 - 04/18/2018 10:22 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/576 added

#3 - 05/02/2018 10:35 AM - Julian Todt

- Related to Feature #23477: PuppetCA: Token Based Autosigning added

#4 - 06/21/2018 01:54 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/592 added

#5 - 08/27/2018 10:45 AM - Timo Goebel

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/576)

- Fixed in Releases 1.20.0 added
#6 - 08/27/2018 11:01 AM - Julian Todt

- Status changed from Ready For Testing to Closed

Applied in changeset 124af3d407f95f2482d81ff27e4d14c36bb30ea6.

#7 - 09/14/2018 09:38 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/607 added
